/** Internal enum telling native views whether the stream will come from the server or device camera*/
export var PlayerType;
(function (PlayerType) {
    /** An indicator that a WHEP client will be used, so the stream will come from the server */
    PlayerType["WHEP"] = "WHEP";
    /** An indicator that a WHIP client will be used, so device camera will generate the stream */
    PlayerType["WHIP"] = "WHIP";
})(PlayerType || (PlayerType = {}));
/** Enum that defines video track dimensions and aspect ratio. */
export var VideoParameters;
(function (VideoParameters) {
    /** QVGA with 4:3 aspect ratio - Dimensions: 240x180 */
    VideoParameters["presetQVGA43"] = "QVGA43";
    /** VGA with 4:3 aspect ratio - Dimensions: 480x360 */
    VideoParameters["presetVGA43"] = "VGA43";
    /** QHD with 4:3 aspect ratio - Dimensions: 720x540 */
    VideoParameters["presetQHD43"] = "QHD43";
    /** HD with 4:3 aspect ratio - Dimensions: 960x720 */
    VideoParameters["presetHD43"] = "HD43";
    /** Full HD with 4:3 aspect ratio - Dimensions: 1440x1080 */
    VideoParameters["presetFHD43"] = "FHD43";
    /** QVGA with 16:9 aspect ratio - Dimensions: 320x180 */
    VideoParameters["presetQVGA169"] = "QVGA169";
    /** VGA with 16:9 aspect ratio - Dimensions: 640x360 */
    VideoParameters["presetVGA169"] = "VGA169";
    /** QHD with 16:9 aspect ratio - Dimensions: 960x540 */
    VideoParameters["presetQHD169"] = "QHD169";
    /** HD with 16:9 aspect ratio - Dimensions: 1280x720 */
    VideoParameters["presetHD169"] = "HD169";
    /** Full HD with 16:9 aspect ratio - Dimensions: 1920x1080 */
    VideoParameters["presetFHD169"] = "FHD169";
})(VideoParameters || (VideoParameters = {}));
//# sourceMappingURL=ReactNativeMobileWhepClient.types.js.map