import * as React from "react";
import { ReactNativeMobileWhepClientViewProps } from "./ReactNativeMobileWhepClient.types";
/**
 * A component that renders a native view for WHEP player type.
 *
 * This component forwards a ref to the native view, allowing for direct manipulation
 * of the component instance. It accepts style and other props defined in
 * ReactNativeMobileWhepClientViewProps.
 *
 * @param {ReactNativeMobileWhepClientViewProps} props - The properties to customize the component.
 * @param {React.ForwardedRef<React.ComponentType<ReactNativeMobileWhepClientViewProps>>} ref - Ref to the component instance.
 * @returns {JSX.Element} The rendered component.
 */
export declare const WhepClientView: React.ForwardRefExoticComponent<Omit<ReactNativeMobileWhepClientViewProps, "ref"> & React.RefAttributes<React.ComponentType<ReactNativeMobileWhepClientViewProps>>>;
/**
 * A component that renders a native view for WHIP player type.
 *
 * This component forwards a ref to the native view, allowing for direct manipulation
 * of the component instance. It accepts style and other props defined in
 * ReactNativeMobileWhepClientViewProps.
 *
 * @param {ReactNativeMobileWhepClientViewProps} props - The properties to customize the component.
 * @param {React.ForwardedRef<React.ComponentType<ReactNativeMobileWhepClientViewProps>>} ref - Ref to the component instance.
 * @returns {JSX.Element} The rendered component.
 */
export declare const WhipClientView: React.ForwardRefExoticComponent<Omit<ReactNativeMobileWhepClientViewProps, "ref"> & React.RefAttributes<React.ComponentType<ReactNativeMobileWhepClientViewProps>>>;
//# sourceMappingURL=ReactNativeMobileWhepClientView.d.ts.map